Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Curve™

Reply
Contributor
Jasbir123
Posts: 18
Registered: ‎05-07-2012
My Device: 9360
Accepted Solution

Previous Version Required of 9360

Hey,

I've recently updated my phone to a newer version of 9360 but I'm facing with lots of problems and the performance is not good as I expected so I was to restore it to my older version which was provided by BlackBerry itself. Is there any was to do it?

Current Version: 7.0.0 Bundle 2355
Older Version: 7.0.0 Bundle 1555

Thanks,
Jasbir
Hall of Famer II
sdgardne
Posts: 48,786
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.2.1531), Playbook (2.1.0.1526)

Re: Previous Version Required of 9360

Hello!

From a PC, you can install any compatible (e.g., for your exact BB Model Number) OS package to a BB via this procedure: 

Note that while written for "reload" and the Storm, it can be used to upgrade, downgrade, or reload any BB device model -- it all depends on the OS package you download and install to your PC. You can even use a different carriers OS package by simply inserting, between steps 1 and 2, the deletion, on your PC, of a file named VENDOR.XML. Be sure that you remove, from your PC, any other BB device OS packages as having more than one installed to the PC can cause conflicts with this procedure.


If you are on MAC, you are limited to only your carriers sanctioned OS packages...but can still use any levels that they currently sanction. See this procedure:

 

  • KB19915How to perform a clean reload of BlackBerry smartphone application software using BlackBerry Desktop Software

 

Good luck and let us know!


Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Contributor
Jasbir123
Posts: 18
Registered: ‎05-07-2012
My Device: 9360

Re: Previous Version Required of 9360

Hey,

 

I want the older version of the my BlackBerry 9360 which is 7.0.0 Bundle (1555) and I know very well how to restore and reset the OS. So please if possible give me the required OS.

 

Note: I need the OS which is provided BlackBerry itself when I bought my phone.

 

Thanks,

Jasbir

Hall of Famer II
sdgardne
Posts: 48,786
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.2.1531), Playbook (2.1.0.1526)

Re: Previous Version Required of 9360

I don't know how you obtained your BB, but all OS packages are released to end users by the carriers, not by RIM. All OS packages are available via the official download portal:

The carriers control which OS packages they currently support, and those are available via that portal. I don't know which Airtel you are with, so I can't guide you any closer than the full download portal.

 

This sticky thread can help you narrow down the carriers from which you can select an OS package:

Good luck.


Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Contributor
Jasbir123
Posts: 18
Registered: ‎05-07-2012
My Device: 9360

Re: Previous Version Required of 9360

If we install any other carriers OS will it make any harm to my BB or my Operater?
Hall of Famer II
sdgardne
Posts: 48,786
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.2.1531), Playbook (2.1.0.1526)

Re: Previous Version Required of 9360

The only potential downside to using a different carriers OS package is that, if you seek formal support from your carrier, they may well deny you assistance until your BB is operating on the OS package that they support. Otherwise, there is no issue whatsoever. Witness...I am on AT&T and am running an OS package from TeleNor Norway with no issues whatsoever. With the later releases of the OS packages, there are often two copies of VENDOR.XML to find and remove...prior levels only had one to remove.

Good luck!

Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Contributor
Jasbir123
Posts: 18
Registered: ‎05-07-2012
My Device: 9360

Re: Previous Version Required of 9360

I also recently updated my phone to Telenor Norway but had many problems with performance and phone used to get restarted automatically.
Is it Legit to do like this to do things like that?
Hall of Famer II
sdgardne
Posts: 48,786
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.2.1531), Playbook (2.1.0.1526)

Re: Previous Version Required of 9360

"Legit" is a difficult term. What I described in my prior post remains the "rules" as I understand them to be.

Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code